[@bigcommerce/checkout-sdk](../README.md) / MutationObserverFactory

# Class: MutationObserverFactory

## Table of contents

### Constructors

- [constructor](MutationObserverFactory.md#constructor)

### Methods

- [create](MutationObserverFactory.md#create)

## Constructors

### constructor

• **new MutationObserverFactory**(`_window?`): [`MutationObserverFactory`](MutationObserverFactory.md)

#### Parameters

| Name | Type |
| :------ | :------ |
| `_window?` | [`MutationObserverWindow`](../interfaces/MutationObserverWindow.md) |

#### Returns

[`MutationObserverFactory`](MutationObserverFactory.md)

## Methods

### create

▸ **create**(`callback`): `MutationObserver`

#### Parameters

| Name | Type |
| :------ | :------ |
| `callback` | `MutationCallback` |

#### Returns

`MutationObserver`
